Skip to main content
GET
/
crypto-address
/
detail
Get customer's crypto address detail
curl --request GET \
  --url https://ramp-sandbox.hexarails.ai/crypto-address/detail \
  --header 'X-API-Key: <api-key>'
{
  "status": "SUCCESS",
  "data": {
    "id": "67890",
    "customerId": "12345",
    "currency": "USDT",
    "address": "0x1234567890123456789012345678901234567890",
    "label": "My Wallet",
    "createTime": "2024-01-01T00:00:00Z",
    "updateTime": "2024-01-02T00:00:00Z",
    "network": "ETH"
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

id
string
required

Crypto address ID

Example:

"67890"

customerId
string

Customer ID

Example:

"12345"

Response

Get crypto address detail successful

status
enum<string>
required

Success response status

Available options:
SUCCESS
Example:

"SUCCESS"

data
object
required

Response data